<template>
  <q-page padding>
    <div class="text-h5 q-mb-md">Eventos disponibles para Inscripcion</div>
    <div class="q-mt-xl">
      <div class="q-gutter-md">
        <EventosDisponibles tipo="zona" titulo="Eventos zonales" />
        <template v-if="user.details.is.grupo">
          <EventosDisponibles tipo="distrito" titulo="Eventos distritales" />
        </template>

        <template v-if="user.details.is.grupo">
          <EventosDisponibles tipo="miorganismo" titulo="Eventos de mi grupo" />
        </template>

        <EventosDisponibles tipo="otros" titulo="Eventos fuera de mi Zona" />
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import EventosDisponibles from 'src/components/Main/EventosDisponibles.vue';
import { useUserStore } from 'src/stores/user';
export default defineComponent({
  components: {
    EventosDisponibles,
  },

  name: 'EventosPage',
  setup() {
    const user = useUserStore();
    return {
      user,
    };
  },
});
</script>
